# Generated by Django 5.0.6 on 2024-09-11 14:19

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('nemo', '0008_workloaddocument_intents'),
    ]

    operations = [
        migrations.CreateModel(
            name='WorkloadDocumentLifecycleEvent',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('rendered', 'Rendered'), ('deployment', 'Deployment'), ('migration', 'Migration'), ('eviction', 'Eviction'), ('deletion', 'Deletion')], db_index=True, help_text='Lifecycle event type')),
                ('deployment_cluster', models.CharField(blank=True, help_text='The NEMO deployment cluster', max_length=100, null=True)),
                ('migration_from_cluster', models.CharField(blank=True, help_text='The NEMO migration from cluster', max_length=100, null=True)),
                ('migration_to_cluster', models.CharField(blank=True, help_text='The NEMO migration to cluster', max_length=100, null=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True, db_index=True, help_text='The timestamp of the lifecycle event')),
                ('workload_document_instance', models.ForeignKey(help_text='The workload document instance lifecycle events', on_delete=django.db.models.deletion.CASCADE, related_name='lifecycle_events', to='nemo.workloaddocumentinstance')),
            ],
            options={
                'verbose_name': 'Workload Document Instance Lifecycle Event',
                'verbose_name_plural': 'Workload Document Instance Lifecycle Events',
                'db_table': 'workload_document_lifecycle_event',
            },
        ),
    ]
